<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>
<div class="wrap reddit_add">
    <h2>Buddypress Bulk Group Importer :</h2>
    <?php        
		if(isset($_POST['submit'])) :
            // if this fails, check_admin_referer() will automatically print a "failed" page and die.
            if ( ! empty( $_POST ) && check_admin_referer( 'name_of_my_action', 'bp_bulk_group' ) ) 
            {
                if(isset($_FILES['xmlupload']) && ($_FILES['xmlupload']['name'] != '')){
                    $this->add_group_csv($_FILES);
                }else{
                    $this->error_show('File is required....!');
                }
            }            
		endif;
    ?>
    <form method="post" action="" enctype="multipart/form-data"> 
        <table class="form-table">              
            <?php if(get_option('bp_group_status') && get_option('bp_group_invite_status') && get_option('bp_group_description')) :?>
                <tr valign="top" style="border:1px dashed #000">
                    <th scope="row"><label for="reddit_cat">OR Add Group by CSV file</label></th>
                    <td>
                		<input type="file" name="xmlupload" /> 
                        <?php wp_nonce_field( 'name_of_my_action', 'bp_bulk_group' ); ?>
                    </td>
                </tr> 
                <tr colspan="2">
                    <td >
                        <?php @submit_button(); ?>
                    </td>
                </tr> 
            <?php else : ?>
                <tr>
                    <td>
                        <div class="alert alert-warning alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <strong>Warning!</strong> Settings , you're not looking too good.
                        </div>                        
                    </td>
                </tr>
            <?php endif; ?>    
        </table>        
    </form>
</div>